###################################################################################################
# _printablemanager.py
#
# $Id: _printablemanager.py,v 1.1 2003/08/31 13:29:23 dnordmann Exp $
# $Name:  $
# $Author: dnordmann $
# $Revision: 1.1 $
#
# Implementation of class PrintableManager (see below).
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
###################################################################################################

# Imports.
import string
import urllib
import ftplib
import tempfile
import stat
import os
from OFS.Image import Image
# Product Imports.
from _globals import *
import _exportable
import _fileutil
import _xmllib


###################################################################################################
# exportPrintableHtml:
###################################################################################################
def exportPrintableHtml(self, sectionize, REQUEST):
  html = ''
  html += '<html>\n'
  html += '<head>\n'
  html += '<title>%s</title>\n'%(self.getTitle(REQUEST))
  html += '<link rel="schema.DC" href="http://purl.org/DC/elements/1.1/" title="http://purl.org/DC/elements/1.1/">\n'
  html += '<link rel="stylesheet" type="text/css" href="%s/f_css_printhtml">\n'%self.getDocumentElement().absolute_url()
  html += '</head>\n'
  html += '<body>\n'
  html += self.printHtml(0,sectionize,MySectionizer(),REQUEST)
  html += '</body>\n'
  html += '</html>\n'
  return html


###################################################################################################
###################################################################################################
###
###   class PrintableManager
###
###################################################################################################
###################################################################################################
class PrintableManager: 
        
    # ---------------------------------------------------------------------------------------------
    #	PrintableManager.toZippedPrintableHtml:
    # ---------------------------------------------------------------------------------------------
    def toZippedPrintableHtml(self, REQUEST):
      #++ print "[%s.toZippedPrintableHtml]: "%(self.meta_type)

      # Create temporary folder.
      tmpfolder = self.__prepare_temp_export_folder__(from_content=1,from_zms=1,from_common=0,REQUEST=REQUEST)

      # Export printable <html> to temporary file.
      html = exportPrintableHtml(self,0,REQUEST)
      html = _exportable.localHtml(self,self,html,REQUEST)
      html = _exportable.localPrintHtml(self,self,html,REQUEST)
      
      # Write css to file.
      f_css_printhtml_filename = _fileutil.getOSPath('%s/f_css_printhtml'%tmpfolder)
      f = open(f_css_printhtml_filename,'w')
      f.write(self.f_css_printhtml())
      f.close()

      # Write html to file.
      tmpfilename = _fileutil.getOSPath('%s/printable.html'%tmpfolder)
      _fileutil.exportObj(html,tmpfilename)

      # Get zip-file.
      zipfiles = _fileutil.getOSPath('%s/*.*'%tmpfolder)
      rtn = _fileutil.buildZipArchive(zipfiles)

      # Remove temporary folder.
      _fileutil.remove(tmpfolder,deep=1)
        
      return rtn


    # ---------------------------------------------------------------------------------------------
    #	PrintableManager.toPrintableHtml:
    # ---------------------------------------------------------------------------------------------
    def toPrintableHtml(self, REQUEST):
      html = exportPrintableHtml(self,1,REQUEST)
      html = _exportable.localPrintHtml(self,self,html,REQUEST)
      return html

###################################################################################################
