###############################################################################################
# _xsllib.py
#
# $Id: _xsllib.py,v 1.1 2003/08/31 13:29:23 dnordmann Exp $
# $Name:  $
# $Author: dnordmann $
# $Revision: 1.1 $
#
# Implementation of XSL-Library (see below).
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
###############################################################################################

# Imports.
import string
import copy
# Product Imports.
import _globals

###################################################################################################
###################################################################################################
###
###   class XslManager
###
###################################################################################################
###################################################################################################
class XslManager: 

  # -------------------------------------------------------------------------------------------------
  #  XslManager.getXslHome
  # -------------------------------------------------------------------------------------------------
  def getXslHome(self):
    id = 'acl_xsl'
    docElmnt = self.getDocumentElement()
    if not id in docElmnt.objectIds(['Folder']):
      docElmnt.manage_addFolder(id=id,title='*** DO NOT DELETE OR MODIFY ***')
    return getattr(docElmnt,id)

  # -------------------------------------------------------------------------------------------------
  #  XslManager.getXslTransformation
  # -------------------------------------------------------------------------------------------------
  def getXslTransformation(self, id):
    for ob in self.getXslTransformations():
      if ob.id() == id:
        return ob
    return None

  # -------------------------------------------------------------------------------------------------
  #  XslManager.getXslTransformations
  # -------------------------------------------------------------------------------------------------
  def getXslTransformations(self):
    folder = self.getXslHome()
    return folder.objectValues(['File'])

  # -------------------------------------------------------------------------------------------------
  #  XslManager.registerXslTransformation
  # -------------------------------------------------------------------------------------------------
  def registerXslTransformation(self, newTitle, newType, newFile):
    folder = self.getXslHome()
    id = ''
    ids = folder.objectIds(['File'])
    folder.manage_addFile(id,newFile,newTitle)
    for f in self.getXslTransformations():
      if f.id() not in ids:
        f.manage_addProperty('type',newType,'string')

  # -------------------------------------------------------------------------------------------------
  #  XslManager.unregisterXslTransformation
  # -------------------------------------------------------------------------------------------------
  def unregisterXslTransformation(self, id):
    folder = self.getXslHome()
    folder.manage_delObjects(ids=[id])

###############################################################################################
